aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-07-25 08:43:36 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-07-25 08:43:36 +0000
commit12a61b82d4851b27e2a23ea44eb0d1b752db9bc1 (patch)
tree861c487c8a14e6d4a5eae29e81f5d49d39c0d629
parent612c005e89ef101c4495f3d9db2f3d01aafd7ef3 (diff)
downloadslackbuilds-12a61b82d4851b27e2a23ea44eb0d1b752db9bc1.tar.gz
slackbuilds-12a61b82d4851b27e2a23ea44eb0d1b752db9bc1.tar.bz2
Syncing with generic.SlackBuild v0.8.5
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1298 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xapp/crypt/gnupg2/gnupg2.SlackBuild74
-rw-r--r--app/crypt/gnupg2/slack-required6
-rwxr-xr-xapp/crypt/pgpdump/pgpdump.SlackBuild4
-rwxr-xr-xdev/libs/libassuan/libassuan.SlackBuild22
-rw-r--r--dev/libs/libassuan/slack-required2
-rwxr-xr-xdev/libs/libgcrypt/libgcrypt.SlackBuild22
-rwxr-xr-xdev/libs/libgpg-error/libgpg-error.SlackBuild22
-rwxr-xr-xdev/libs/libksba/libksba.SlackBuild28
-rw-r--r--dev/libs/libksba/slack-required2
-rwxr-xr-xdev/libs/libpth/libpth.SlackBuild28
-rwxr-xr-xnet/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild2
-rwxr-xr-xsci/electronics/gtkwave/gtkwave.SlackBuild4
-rwxr-xr-xsci/electronics/iverilog/iverilog.SlackBuild6
-rwxr-xr-xsci/electronics/ivi/ivi.SlackBuild4
-rwxr-xr-xsys/apps/microcode_ctl/microcode_ctl.SlackBuild4
15 files changed, 170 insertions, 60 deletions
diff --git a/app/crypt/gnupg2/gnupg2.SlackBuild b/app/crypt/gnupg2/gnupg2.SlackBuild
index 16a8aef8..9d941d8d 100755
--- a/app/crypt/gnupg2/gnupg2.SlackBuild
+++ b/app/crypt/gnupg2/gnupg2.SlackBuild
@@ -33,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="gnupg"
PKG_NAME="gnupg2"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=2.0.4}
+SRC_VERSION=${VERSION:=2.0.5}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --mandir=$PREFIX/man --enable-static-rnd=linux --enable-noexecstack}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --mandir=$PREFIX/man --program-prefix="" --program-suffix="" --enable-static-rnd=linux --enable-noexecstack}
+NUMJOBS=${NUMJOBS:=}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -134,7 +148,7 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
)
# Avoid overwriting share/gnupg/ files, from Slackware's gnupg package
-mv -f "$PKG/$PREFIX/share/gnupg" "$PKG/$PREFIX/share/gnupg2"
+mv -f "$PKG/$PREFIX/share/gnupg" "$PKG/$PREFIX/share/$PKG_NAME"
# Install gpg2, gpgv2, gpg-agent, and gpgsm already suid root
chmod 4755 "$PKG/$PREFIX/bin/"{gpg2,gpgv2,gpg-agent,gpgsm}
@@ -168,11 +182,37 @@ DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README* THANKS TODO \
doc/examples doc/*.png"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
-( cd "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
- ln -sf "$PREFIX/share/$PKG_NAME/FAQ" .
- ln -sf "$PREFIX/share/$PKG_NAME/faq.html" .
+
+# Build HTML documentation
+( cd doc
+ make gnupg.html || exit $ERROR_MAKE
+ mv gnupg.html $PKG/usr/doc/$PKG_NAME-$VERSION/html
+)
+
+# Fix some filenames in the html directory
+( cd $PKG/usr/doc/$PKG_NAME-$VERSION/html
+ mv how_002dto_002dspecify_002da_002duser_002did.html howto_specify_user_id.html
+ mv gpg-1_002e4-vs_002e-1_002e9.html gpg-1.4-vs-1.9.html
+ mv gpg_002dpreset_002dpassphrase.html gpg_preset_passphrase.html
+ mv gpgsm_002dgencert_002esh.html gpgsm_gencert_sh.html
+ mv Invoking-gpg_002dpreset_002dpassphrase.html Invoking-gpg_preset_passphrase.html
+ mv Invoking-gpg_002dconnect_002dagent.html Invoking-gpg_connect_agent.html
+ mv gpg_002dconnect_002dagent.html gpg_connect_agent.html
+ mv Agent-GET_005fCONFIRMATION.html Agent-GET_CONFIRMATION.html
+ mv option-_002d_002denable_002dssh_002dsupport.html option-enable_ssh_support.html
+ mv option-_002d_002doptions.html option-options.html
+ mv Invoking-GPG_002dAGENT.html Invoking-GPG_AGENT.html
+ mv option-_002d_002dallow_002dmark_002dtrusted.html option-allow_mark_trusted.html
+ mv Controlling-gpg_002dconnect_002dagent.html Controlling-gpg_connect_agent.html
+ mv Agent-GET_005fPASSPHRASE.html Agent-GET_PASSPHRASE.html
+ mv option-_002d_002dhomedir.html option-homedir.html
+ mv PKCS_002315-Card.html PKCS-15-Card.html
)
+# Move some docs from /usr/share to their proper location
+mv $PKG/$PREFIX/share/$PKG_NAME/FAQ $PKG/usr/doc/$PKG_NAME-$VERSION
+mv $PKG/$PREFIX/share/$PKG_NAME/faq.html $PKG/usr/doc/$PKG_NAME-$VERSION/html
+
# Add package description (slack-desc)
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
@@ -184,17 +224,17 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler--------------------------------------------------------|
-gnupg2: gnupg2 (The GNU Privacy Guard v2)
-gnupg2:
-gnupg2: The GNU Privacy Guard (GnuPG) is GNU's tool for secure communication
-gnupg2: and data storage. It can be used to encrypt data, create digital
-gnupg2: signatures, help authenticating using Secure Shell and to provide a
-gnupg2: framework for public key cryptography. It includes an advanced key
-gnupg2: management facility and is compliant with the OpenPGP and S/MIME
-gnupg2: standards.
+gnupg2: GnuPG2 (The GNU Privacy Guard version 2.x)
gnupg2:
-gnupg2: For more information, http://www.gnupg.org/
+gnupg2: GnuPG is GNU's tool for secure communication and data storage. It can
+gnupg2: be used to encrypt data and to create digital signatures. It includes
+gnupg2: an advanced key management facility and is compliant with the proposed
+gnupg2: OpenPGP Internet standard as described in RFC2440 and the S/MIME
+gnupg2: standard as described by several RFCs.
gnupg2:
+gnupg2: GnuPG 2.0 is the stable version of GnuPG integrating support for
+gnupg2: OpenPGP and S/MIME. It does not conflict with an installed 1.4.x
+gnupg2: OpenPGP-only version.
EODESC
# Build the package
diff --git a/app/crypt/gnupg2/slack-required b/app/crypt/gnupg2/slack-required
index 95078e30..43f9a1a1 100644
--- a/app/crypt/gnupg2/slack-required
+++ b/app/crypt/gnupg2/slack-required
@@ -1,5 +1,5 @@
libpth >= 1.3.7
libgpg-error >= 1.4
-libgcrypt >= 1.2.0
-libassuan >= 1.0.1
-libksba >= 1.0.0
+libgcrypt >= 1.2.2
+libassuan >= 1.0.2
+libksba >= 1.0.2
diff --git a/app/crypt/pgpdump/pgpdump.SlackBuild b/app/crypt/pgpdump/pgpdump.SlackBuild
index 40dfbb67..46454cee 100755
--- a/app/crypt/pgpdump/pgpdump.SlackBuild
+++ b/app/crypt/pgpdump/pgpdump.SlackBuild
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system optmization flags based on $ARCH
if [ "$ARCH" = "i386" ]; then
@@ -90,7 +90,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" ./configure $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
mkdir -p "$PKG/$PREFIX/bin" "$PKG/$PREFIX/man/man1" || exit $ERROR_MKDIR
diff --git a/dev/libs/libassuan/libassuan.SlackBuild b/dev/libs/libassuan/libassuan.SlackBuild
index 55b2b3df..0c3859ce 100755
--- a/dev/libs/libassuan/libassuan.SlackBuild
+++ b/dev/libs/libassuan/libassuan.SlackBuild
@@ -33,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="libassuan"
PKG_NAME="libassuan"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=1.0.1}
+SRC_VERSION=${VERSION:=1.0.2}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -157,7 +171,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|
-libassuan: libassuan
+libassuan: libassuan (Interprocess Communication Library for GPG)
libassuan:
libassuan: Libassuan is a small library implementing the so-called Assuan
libassuan: protocol. This protocol is used for IPC between most newer GnuPG
diff --git a/dev/libs/libassuan/slack-required b/dev/libs/libassuan/slack-required
index 93bd56be..e5fcf4e5 100644
--- a/dev/libs/libassuan/slack-required
+++ b/dev/libs/libassuan/slack-required
@@ -1 +1 @@
-libpth
+libpth >= 1.3.7
diff --git a/dev/libs/libgcrypt/libgcrypt.SlackBuild b/dev/libs/libgcrypt/libgcrypt.SlackBuild
index 4f4204c2..fbee59cc 100755
--- a/dev/libs/libgcrypt/libgcrypt.SlackBuild
+++ b/dev/libs/libgcrypt/libgcrypt.SlackBuild
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --enable-m-guard --enable-noexecstack}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --enable-shared=yes --enable-static=no --program-prefix="" --program-suffix="" --enable-m-guard --enable-noexecstack}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -157,7 +171,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|
-libgcrypt: libgcrypt (Cryptographic library)
+libgcrypt: libgcrypt (General purpose crypto library)
libgcrypt:
libgcrypt: Libgcrypt is a general purpose cryptographic library based on the
libgcrypt: code from GnuPG. It provides functions for all cryptographic
diff --git a/dev/libs/libgpg-error/libgpg-error.SlackBuild b/dev/libs/libgpg-error/libgpg-error.SlackBuild
index 2fb32691..bcc0d2c4 100755
--- a/dev/libs/libgpg-error/libgpg-error.SlackBuild
+++ b/dev/libs/libgpg-error/libgpg-error.SlackBuild
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --enable-shared=yes --enable-static=no}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -149,7 +163,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler--------------------------------------------------|
-libgpg-error: libgpg-error
+libgpg-error: libgpg-error (GnuPG Error Definitions Library)
libgpg-error:
libgpg-error: Libgpg-error is a small library that defines common error values
libgpg-error: for all GnuPG components. Among these are GPG, GPGSM, GPGME,
diff --git a/dev/libs/libksba/libksba.SlackBuild b/dev/libs/libksba/libksba.SlackBuild
index 29366160..55c1d687 100755
--- a/dev/libs/libksba/libksba.SlackBuild
+++ b/dev/libs/libksba/libksba.SlackBuild
@@ -33,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="libksba"
PKG_NAME="libksba"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=1.0.1}
+SRC_VERSION=${VERSION:=1.0.2}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--sysconfdir=/etc --localstatedir=/var --infodir=$PREFIX/info --enable-shared=yes --enable-static=no}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -157,10 +171,10 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler-------------------------------------------------------|
-libksba: libksba
+libksba: libksba (X.509 & CMS library for S/MIME and TLS)
libksba:
-libksba: Libksba is a library to make the tasks of working with X.509
-libksba: certificates, CMS data and related objects more easy. It provides a
+libksba: KSBA (pronounced Kasbah) is a library to make X.509 certificates as
+libksba: well as the CMS easily accessible by other applications. It provides a
libksba: highlevel interface to the implemented protocols and presents the data
libksba: in a consistent way.
libksba:
diff --git a/dev/libs/libksba/slack-required b/dev/libs/libksba/slack-required
index 4d292ccf..053bc72f 100644
--- a/dev/libs/libksba/slack-required
+++ b/dev/libs/libksba/slack-required
@@ -1 +1 @@
-libgpg-error >= 1.2
+libgpg-error >= 1.4
diff --git a/dev/libs/libpth/libpth.SlackBuild b/dev/libs/libpth/libpth.SlackBuild
index 4f6fd841..3aa012e6 100755
--- a/dev/libs/libpth/libpth.SlackBuild
+++ b/dev/libs/libpth/libpth.SlackBuild
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=--mandir=$PREFIX/man}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--sysconfdir=/etc --infodir=$PREFIX/info --mandir=$PREFIX/man --enable-shared=yes --enable-static=no --enable-pthread=no}
+NUMJOBS=${NUMJOBS:=}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -130,6 +130,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -137,7 +151,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
make test
# Install
@@ -187,10 +201,10 @@ libpth: libpth (The GNU Portable Threads)
libpth:
libpth: Pth is a very portable POSIX/ANSI-C based library for Unix platforms
libpth: which provides non-preemptive priority-based scheduling for multiple
-libpth: threads of execution ("multithreading") inside server applications.
-libpth: All threads run in the same address space of the server application,
-libpth: but each thread has its own individual program-counter, run-time
-libpth: stack, signal mask and errno variable.
+libpth: threads of execution (aka \`multithreading\') inside event-driven
+libpth: applications. All threads run in the same address space of the
+libpth: server application, but each thread has its own individual
+libpth: program-counter, run-time stack, signal mask and errno variable.
libpth:
libpth: For more information, http://www.gnu.org/software/pth/
libpth:
diff --git a/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild b/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild
index 8322e799..a3e3f868 100755
--- a/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild
+++ b/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/${SRC_NAME}_$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
diff --git a/sci/electronics/gtkwave/gtkwave.SlackBuild b/sci/electronics/gtkwave/gtkwave.SlackBuild
index 01ffab94..0355a67a 100755
--- a/sci/electronics/gtkwave/gtkwave.SlackBuild
+++ b/sci/electronics/gtkwave/gtkwave.SlackBuild
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -96,7 +96,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install prefix="$PKG/$PREFIX" || exit $ERROR_INSTALL
diff --git a/sci/electronics/iverilog/iverilog.SlackBuild b/sci/electronics/iverilog/iverilog.SlackBuild
index abe0442c..28cf6cda 100755
--- a/sci/electronics/iverilog/iverilog.SlackBuild
+++ b/sci/electronics/iverilog/iverilog.SlackBuild
@@ -33,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="verilog"
PKG_NAME="iverilog"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.8.4}
+SRC_VERSION=${VERSION:=0.8.5}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -96,7 +96,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install \
diff --git a/sci/electronics/ivi/ivi.SlackBuild b/sci/electronics/ivi/ivi.SlackBuild
index e8c65cc4..2fac4544 100755
--- a/sci/electronics/ivi/ivi.SlackBuild
+++ b/sci/electronics/ivi/ivi.SlackBuild
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=--enable-release}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
@@ -89,7 +89,7 @@ done
./configure $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install prefix="$PKG/$PREFIX/share/ivi" || exit $ERROR_INSTALL
diff --git a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
index 43446520..f6ddc6d5 100755
--- a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
+++ b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
@@ -43,7 +43,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+NUMJOBS=${NUMJOBS:=-j6}
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
@@ -74,7 +74,7 @@ tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TA
cd "$PKG_SRC"
# Compile
-make "$NUMJOBS" all || exit $ERROR_MAKE
+make $NUMJOBS all || exit $ERROR_MAKE
if [ ! -c /dev/cpu/microcode ]; then
make device || exit $ERROR_MAKE
fi